body {
  	margin: 0;
  	line-height: normal;
}
/* Desktops - estilo base */
html {
    scroll-behavior: smooth;
}
.logo {
    width: 50px;
    position: fixed;
    right: 30px;
    top: 25px;
    display: block;
}
.setas {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
}
.saraneri {
    font-family: Michroma;
    font-size: 12px;
    top: 30px;
    left: 30px;
    position: absolute;
    color: #a4a4a4;
}
.product-design {
  	max-width: 450px;
  	position: absolute;
  	font-size: 15px;
  	font-family: Michroma;
    font-weight: bold;
  	color: #000;
  	white-space: pre-wrap;
  	text-align: left;
    top: 50px;
    left: 30px;
    margin: 0;
}
.welcome-to-my-container {
  	max-width: 600px;
  	position: absolute;
  	font-size: 16px;
  	color: #000;
  	text-align: left;
  	font-family: Michroma;
    bottom: 50px;
    left: 30px;
    margin: 0;
}
.portfolio {
  	font-weight: 600;
}
.cv {
    text-decoration: underline;
    color: inherit;
    transition: color 0.3s ease,transform 0.15s ease;
    cursor: pointer;
    display: inline-block;
}
.section {
    min-height: 100vh;
}
.menu-trigger {
    position: absolute;
    height: 1px;
    top: 100%;
    width: 100%;
}
.menu {
    display: flex;
    align-items: center;
    position: sticky;
    top: 20px;
    z-index: 1000;
    transition: all 0.5s ease;
    justify-content: center;
    background: #ffffff;
    border-radius: 5px;
    gap: 40px;
    padding: 10px;
    margin-inline: 500px;
    margin-top: 50px;
    border: 1.5px solid black;
    opacity: 0;
}
.menu.visible {
    opacity: 1;
}
.home svg path {
    fill: none;
    stroke: #000000;
    transition: 0.3s;
}
.home svg {
    width: 30px;
    height: 30px;
}
.works svg path {
    fill: none;
    stroke: #000000;
    transition: 0.3s;
}
.works svg {
    width: 30px;
    height: 30px;
}
.studio svg path {
    fill: none;
    stroke: #000000;
    transition: 0.3s;
}
.studio svg {
    width: 30px;
    height: 30px;
}
.aboutme svg path {
    fill: none;
    stroke: #000000;
    transition: 0.3s;
}
.aboutme svg {
    width: 30px;
    height: 30px;
}
.experience svg path {
    fill: none;
    stroke: #000000;
    transition: 0.3s;
}
.experience svg {
    width: 30px;
    height: 30px;
}
.contact svg path {
    fill: none !important;
    stroke: #000000;
    transition: 0.3s;
}
.contact svg {
    width: 30px;
    height: 30px;
}

/* Works section */
.workstext {
    font-family: Michroma;
    font-weight: bold;
    color: #ebebeb;
    font-size: 150px;
    position: absolute;
    transform: rotate(90deg);
    transform-origin: left;
    left: 70px;
}
/* Studio section */
.studiotext {
    font-family: Michroma;
    font-weight: bold;
    color: #ebebeb;
    font-size: 260px;
    position: absolute;
}
/* About me section */
/* Experience section */
/* Contact section */

/* Desktops - hover */
.cv:hover {
    color: #a4a4a4;
}
.home svg:hover path {
    stroke: #a4a4a4;
}
.works svg:hover path {
    stroke: #a4a4a4;
}
.studio svg:hover path {
    stroke: #a4a4a4;
}
.aboutme svg:hover path {
    stroke: #a4a4a4;
}
.experience svg:hover path {
    stroke: #a4a4a4;
}
.contact svg:hover path {
    stroke: #a4a4a4;
}

/* Desktops - javascript */
.menu a.active svg path {
    stroke: #a4a4a4;
}
.cv:active {
    transform: scale(0.95);
}
.home:active {
        transform: scale(0.9);
    }
.works:active {
        transform: scale(0.9);
    }
.studio:active {
        transform: scale(0.9);
    }
.aboutme:active {
        transform: scale(0.9);
    }
.experience:active {
        transform: scale(0.9);
    }
.contact:active {
        transform: scale(0.9);
    }

/* Desktops - smaller */
@media (max-width: 1440px) {
    .menu {
        margin-inline: 300px;
    }
}

/* Tablet */
@media (max-width: 1024px) {
    .studiotext {
    font-family: Michroma;
    font-weight: bold;
    color: #ebebeb;
    font-size: 65px;
    position: absolute;
    }
    .menu {
        gap: 0;
        padding: 0;
        margin: 130px;
    }
    .logo {
        display: none;
    }
    .setas {
        bottom: 30px;
    }
    .welcome-to-my-container {
        margin-right: 30px;
        font-size: 14px;
        bottom: 90px;
    }
    /* icons */
    .home {
        padding: 12px;
    }
    .works {
        padding: 12px;
    }
    .studio {
        padding: 12px;
    }
    .aboutme {
        padding: 12px;
    }
    .experience {
        padding: 12px;
    }
    .contact {
        padding: 12px;
    }
}

/* Phones */
@media (max-width: 600px) {
    .studiotext {
    font-family: Michroma;
    font-weight: bold;
    color: #ebebeb;
    font-size: 65px;
    position: absolute;
    }
    .menu {
        gap: 0;
        padding: 0;
        margin: 10px;
    }
    .logo {
        display: none;
    }
    .setas {
        bottom: 30px;
    }
    .welcome-to-my-container {
        margin-right: 30px;
        font-size: 14px;
        bottom: 90px;
    }
    .product-design {
        margin-right: 30px;
        font-size: 12px;
        top: 60px;
    }
    .saraneri {
        font-size: 12px;
        top: 40px;
    }
    /* icons */
    .home {
        padding: 14px;
    }
    .works {
        padding: 14px;
    }
    .studio {
        padding: 14px;
    }
    .aboutme {
        padding: 14px;
    }
    .experience {
        padding: 14px;
    }
    .contact {
        padding: 14px;
    }
}